Subject: Re: [PATCH net-next] net: netdevsim: Support setting dev->perm_addr

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Feb 2025 11:13:24 -0800

On Wed, 5 Feb 2025 18:08:00 +0100 Eric Dumazet wrote:
> > > Right. How do you feel about Andrew's suggestion of just setting a
> > > static perm_addr for netdevsim devices?  
> >
> > I don't see how that'd be sufficient for a meaningful test.  
> 
> Perhaps allow IFLA_PERM_ADDRESS to be set at veth creation time,
> or other virtual devices...

I'd rather we didn't sprinkle testing code into real drivers, FWIW.